Bug 437620 - root privileges are mandatory for sending/receiving an sms
root privileges are mandatory for sending/receiving an sms
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smstools (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-15 06:32 EDT by David Dick
Modified: 2008-12-20 07:29 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-20 07:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Dick 2008-03-15 06:32:10 EDT
Description of problem:

In order to send a sms, user must be root, as root is the only user
capable of writing to /var/spool/sms/outgoing.  Can you create a smstools 
group, assign it to the directories under /var/spool/sms/outgoing and assign 
write permissions to it? This would allow an administrator to nominate users 
to send sms without it being necessary to give them root privileges in some 
form.

Version-Release number of selected component (if applicable): 
smstools-3.0.10-1.fc8


How reproducible:

Steps to Reproduce:
1. ls -la /var/spool/sms
  
Actual results:

$ ls -la /var/spool/sms
total 32
drwxr-xr-x  7 root root 4096 2008-03-12 14:53 .
drwxr-xr-x 11 root root 4096 2008-03-13 21:43 ..
drwxr-x---  2 root root 4096 2007-11-21 20:17 checked
drwxr-x---  2 root root 4096 2007-11-21 20:17 failed
drwxr-x---  2 root root 4096 2007-11-21 20:17 incoming
drwxr-x---  2 root root 4096 2007-11-21 20:17 outgoing
drwxr-x---  2 root root 4096 2007-11-21 20:17 sent

Expected results:

$ ls -la /var/spool/sms
total 32
drwxr-xr-x  7 root root     4096 2008-03-12 14:53 .
drwxr-xr-x 11 root root     4096 2008-03-13 21:43 ..
drwxrwx---  2 root smstools 4096 2007-11-21 20:17 checked
drwxrwx---  2 root smstools 4096 2007-11-21 20:17 failed
drwxrwx---  2 root smstools 4096 2007-11-21 20:17 incoming
drwxrwx---  2 root smstools 4096 2007-11-21 20:17 outgoing
drwxrwx---  2 root smstools 4096 2007-11-21 20:17 sent

Additional info:
Comment 1 Marek Mahut 2008-03-18 10:02:57 EDT
David, good catch.

Do you need this fixed in F8 or only rawhide (F9) is ok?
Comment 2 David Dick 2008-03-18 16:36:17 EDT
rawhide only is fine for me.
Comment 3 Bug Zapper 2008-11-26 05:09:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.